워드프레스 버전 5 업데이트 이후 가장 큰 변화는 기존의 기본 에디터를 버리고(?) 새로운 에디터인 구텐베르크를 넣은 것입니다. 그 결과 이전 에디터에서 테마나 플러그인의 각종 빌더를 사용하던 사용자들이 일시적인 혼란에 빠졌습니다. 이것은 아바다테마 사용자들도 마찬가지입니다.

아바다테마를 사용하는 입장에서 가장 좋은 해결 방법은 아바다테마를 최신 버전으로 업데이트 하는 것입니다. 아바다테마는 이미 워드프레스 5.0 버전에 최적화되어 있습니다. 최신 버전으로 업데이트하면 구텐베르크 편집기와 기존의 에디터를 선택해서 사용할 수 있고, 아바다테마의 퓨젼 빌더를 이전과 같이 사용할 수 있게 됩니다.

최신 버전의 아바다테마를 사용하는 경우

기존 콘텐츠의 편집

최신 버전으로 업데이트하면 기존 콘텐츠에 접근시 에디터를 구텐베르크로 할것인지 아니면 구형에디터(+퓨젼빌더)를 사용할 것인지 옵션을 선택할 수 있습니다.

이전에 작성한 콘텐츠의 목록에서 마우스를 글 제목에 올리면

  • 편집 : 글의 최종 저장시 사용한 에디터(고전 편집화면 또는 퓨젼빌더 편집화면)가 나타납니다. 구텐베르크를 사용하다가 저장한 경우는 고전편집 화면이 나타납니다. 퓨젼빌더 사용이 가능합니다.
  • 구텐베르크 편집기 : 저장된 내용이 구텐베르크 편집화면으로 나타납니다. 퓨젼빌더 사용이 불가능합니다.
  • 고전 편집기 : 저장된 내용이 고전 편집화면으로 나타납니다. 퓨젼빌더 사용이 가능합니다.

새로운 콘텐츠 생성

관리자 화면의 서브메뉴로 새로운 글(페이지) 추가 버튼을 누르면 고전편집 화면이 나타납니다.

글 목록(또는 페이지 목록)에서 “새로 추가” 버튼을 누르면 어떤 편집기를 사용할 것인지 선택할 수 있습니다.

아바다테마를 업데이트 하지 못하는 경우

아바다테마를 업데이트하지 못하고 워드프레스 5.0 이상의 버전을 사용하는 경우에는 과거에 만든 콘텐츠가 퓨젼 빌더로 만들어졌다 해도 해당 콘텐츠를 퓨젼빌더를 사용해 편집할 수 없고, 새로운 콘텐츠를 퓨젼빌더로 만들 수도 없습니다.
이때는 구텐베르크와 워드프레스 5.0 이전 버전에서 사용하던 편집기를 동시에 설치해서 원하는 편집기를 선택해 사용할 수 있도록 해 주는 “고전 편집기” 플러그인을 설치하면 됩니다.

플러그인 설치 후 “관리자메뉴-설정-쓰기”에 가면 기본 옵션을 설정 할 수 있습니다.(기본 편집기 선택, 편집기 변경 허용 유무)

이 플러그인을 설치한 후 고전 편집기(클래식 에디터)와 블록 에디터(구텐베르크 편집기) 중 고전 편집기를 선택한 후 화면에서 퓨젼빌더 사용을 클릭하면 됩니다.(화살표는 해당 콘텐츠 작성 시 사용한 편집기 표시)